MediaWiki:Common.css: Difference between revisions

From Teddy Bear Talk Support
Jump to navigation Jump to search
No edit summary
No edit summary
Line 14: Line 14:


/* Sidebar: "Tools" */
/* Sidebar: "Tools" */
.user-logged-out #p-tb { display: none; }
#p-tb { display: none; }


/* Top right: "Log in" */
/* Top right: "Log in" */
.user-logged-out nav#p-personal { display: none; }
nav#p-personal { display: none; }


/* Top left tabs: "Main", "Discussion" */
/* Top left tabs: "Main", "Discussion" */
.user-logged-out div#left-navigation { display: none; }
div#left-navigation { display: none; }


/* Top right tabs: "Read", "View source", "View history" */
/* Top right tabs: "Read", "View source", "View history" */
.user-logged-out #p-views { display: none; }
#p-views { display: none; }

Revision as of 16:16, 23 February 2026

/* CSS placed here will be applied to all skins */
body { font-size: 23px; }

img.halfwidth {
  width: 50% !important;
  height: auto;
  display: block;
}

/*
Below here are overrides to hide various MediaWiki links/tabs from logged-out users.
This works in conjunction with MediaWiki:Commons.js which applies the .user-logged-out class to the body tag.
*/

/* Sidebar: "Tools" */
#p-tb { display: none; }

/* Top right: "Log in" */
nav#p-personal { display: none; }

/* Top left tabs: "Main", "Discussion" */
div#left-navigation { display: none; }

/* Top right tabs: "Read", "View source", "View history" */
#p-views { display: none; }